output : all

public:
	mkdir public

public/static: static
	cp -r static public/

public/%.html : %.md
	@cp start.html $@
	@cat $< | sed 's#.md)#.html)#g' | pandoc -f markdown -t html5 -o- >> $@
	@cat end.html >> $@

HTML := $(patsubst %.md,public/%.html,$(wildcard *.md))

all : public $(HTML) public/static

test:
	echo $(HTML)

clean :
	rm -rf public
